### Signal

# Gio ActionGroup::action-added

since: 2.28

#### Declaration

    void
    action_added (
      GActionGroup* self,
      gchar* action_name,
      gpointer user_data
    )

#### Description

Signals that a new action was just added to the group. This signal is emitted after the action has been added and is now visible.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.28

#### Parameters

`action_name`

  Type: `gchar*`

  The name of the action in `action_group`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.